/**
 * Provide fallback for DOMStorage
 * @access protected
 */
var MemoryStorage = function () {
  function MemoryStorage() {
    babelHelpers.classCallCheck(this, MemoryStorage);

    this._map = new Map();
  }

  babelHelpers.createClass(MemoryStorage, [{
    key: 'getItem',
    value: function getItem(key) {
      return this._map.get(key);
    }
  }, {
    key: 'setItem',
    value: function setItem(key, value) {
      return this._map.get(key);
    }
  }, {
    key: 'removeItem',
    value: function removeItem(key) {
      this._map.delete(key);
    }
  }, {
    key: 'clear',
    value: function clear() {
      this._map = new Map();
    }
  }, {
    key: 'key',
    value: function key(n) {
      return Array.from(this._map.keys())[n];
    }
  }, {
    key: 'length',
    get: function get() {
      return this._map.size;
    }
  }]);
  return MemoryStorage;
}();

/**
 * @type {Storage}
 * @access protected
 */


export var platformStorage = typeof localStorage === 'undefined' ? new MemoryStorage() : localStorage;